Help Contents for the COBOL85 FILE UTILITY

The COBOL85 File Utility is a tool for creating and manipulating COBOL85 files.With the file utility you can perform most COBOL file functions without having to write special COBOL programs.

Basic operation

Command menu


Basic Operations

-Overview

-Creating files

-Extending files

-Browsing file records

-Editing file records

-Other functions


Overview

The COBOL85 File Utility creates and manipulates COBOL85 files (sequential,line sequential,relative,and indexed files).

Using the COBOL85 File Utility you can:

-Create data files from text files (using the Convertcommand)

-Convert files from one file organization to another (using the Loadand Unloadcommands)

-Reorganize indexed files to remove unused blocks

-Recover indexed files that have not been closed because of abnormal termination

-Sort files

-Display and Edit files

-Print files

-Copy,Move and Delete files

All the standard COBOL file processesare supported.

All file details are input directly to the File Utility,so you do not need any source files.

Tips for Effective Use

1.Set the environment variable TEMP.

2.Specify the full path name of the directory where a temporary file for the sort facility is created for the environment variable BSORT_TMPDIR.

3.Do not terminatethe process while the file utility is accessing a file.

4.Make sure that file and record attributes are specified correctly.Incorrect attributes may cause invalid files to be created.


File Processes

The file utility supports the following six COBOL file processes.

-Create:Writes records to the specified file.

-Extend:Writes records after the last record of the specified file.

-Insert:Inserts a record at any position of the file.

-Browse:Reads a record in the file.

-Update:Updates the specified record in the file.

-Delete:Deletes the specified record in the file.

[Notes]

1.Insert and Delete record are not supported for sequential and line sequential files.

2.Records can be inserted in relative and indexed files using the Extend command and the Load command with the Extend option.

[Related Topics]

COBOL File Access Modes


COBOL File Access Modes

There are three COBOL file access modes.

-Sequential access:Processes records in sequential order.

-Random access:Processes records at random.

-Dynamic access:This access mode includes sequential access mode and random access mode.

[Notes]

1.Only Sequential access mode can be used for record sequential files and line sequential files.


Share Command

When the file is accessed,exclusion can be controlled in this utility.The control of exclusion will not work normally if the Share command is not executed before WINDOWS is started.


TEMP

The Recovery command creates a temporary work file (_UTYnnnn.TMP,where nnnn is determined by the file utility)in the folder pointed to by the TEMP environment variable.The TEMP folder must have at least the same space available as the size of the file to be processed.


BSORT_TMPDIR

The Sortcommand creates a temporary work file (_SRTnnnn.TMP,where nnnn is determined by the file utility)in the folder pointed to by the BSORT_TMPDIR environment variable.If the environment variable BSORT_TMPDIR is not specified,the file utility creates the temporary work file in the folder pointed to by the TEMP environment variable.


Effects of Premature Termination

If the file process is interrupted by a power outage or something similar,the contents of the file being processed by the file utility cannot be assured.In this case,the original file may be lost or the temporary file may not be deleted.If the temporary file is not deleted,delete it.

[Related Topics]

TEMP

BSORT_TMPDIR


Creating or Loading Files

You can create COBOL files (record sequential,relative,or indexed)from data produced with a text editor.You do this by using the Convertcommand or the Convert and Loadcommands.

You can also create these COBOL files from files with other organizations.Use the Unloadand Load commands.

You can create line sequential files with a text editor.

[How to create a record sequential file,relative file or indexed file]

1.Create a text file.Create a text file with a text editor like Notepad.Each record of the text file corresponds to a record in the file to be created.

2.Use the Convert command.Create a record sequential file with variable length records from the text file by using the Convert command.

3.For Relative,Indexed,or Fixed Length Sequential Files Use the Load command.Use the Load command to take the record sequential file created in step 2,and load the data into a relative,indexed,or fixed length sequential file.


Browsing File Records

You can browse records of a COBOL file (record sequential ,line sequential,relative,and indexed)by using the Browsecommand.Navigation functions are provided depending on the file organization -first.last,next,previous record.

[Related Topics]

File Processes


Editing File Records

You can view,update,insert and delete records of COBOL files using the Editcommand.

[Related Topics]

File Processes


Extending Files

You can add records to an existing file (record sequential,line sequential,relative file,and indexed)using the Extendcommand.

You can also add the contents of an existing file to another existing file (record sequential,relative,and indexed)by using the Extend option of the Loadcommand.For some file formats it may be necessary to use the Unloadand Convertcommands.


Other Functions

Using the COBOL85 File Utility you can also:

-Copy,Delete,and Movefiles

-Printfiles

-Sortfiles

-Display the Attributesof indexed files

-Recoverindexed files

-Reorganizeindexed files


Using File Utility Commands

-Convert

-Load

-Unload

-Browse

-Print

-Edit

-Extend

-Sort

-Attribute

-Recovery

-Reorganize

-Copy

-Delete

-Move


Convert Command

The Convert command converts text filesto variable length,record sequential files and converts variable length,record sequential files to text files.

[How to Use the Load Command]

1.Specify the input file name.

Specify the Path of text file for [TEXT->SEQ]conversion method.

Specify The Path of record sequential file for [SEQ->TEXT]conversion method.

2.Specify the output file name.

Specify the Path of record sequential file for conversion method [TEXT->SEQ].

Specify The Path of text file for conversion method [SEQ->TEXT].

3.Select the conversion method [TEXT->SEQ]or [SEQ->TEXT].

[TEXT->SEQ]:Converts a text file to a variable length,record sequential file.

[SEQ->TEXT]:Converts a variable length,record sequential file to a text file.

4.Select the composition of the record

-When all data in the record is character,push [ALL CHAR]button.

-When all data in the record is hexadecimalhexadecimal,push [ALL HEX]button.

-When character and hexadecimal exist together on record,push [MIX]button.

5.Specify individual items in the record when [MIX]button is selected.

Whenever the description from of the data in the record changes,specify the keyword string which shows characteror hexadecimalant the data length in the text box.

-The keyword is [char()]and [txtbin()].When [SET CHAR]or [SET HEX]is pushed,the keyword will be displayed in [Mix method]text box.

-Specify the data length by the number of byte between "("and ")"of the keyword.It is length stored as the data in case of the hexadecimal and is not a number of the character data expressed by the hexadecimal.


Text file

A text file can contain regular characters and hexadecimal expressions.Each record is constructed of data and a line feed code.A text file with only character data is the same as a COBOL line sequential file.


Character expressions

Character expressions are a way of describing character data in text.


Hexadecimal expressions

Hexadecimal expressions are a way of describing binary data in text.Each byte of binary data is represented by two hexadecimal characters (0-9,A-F).When creating record sequential files from text files,the hexadecimal expressions are converted into binary fields.When creating text files or displaying file data,binary fields are converted into hexadecimal expressions.

[Examples]

1.Three bytes of character data "abc"are entered as "abc".

2.Two bytes of binary data containing the value 5 are entered as "0005".

3.Four bytes of binary data containing the decimal value 3456 are entered as "00000D80".

4.Three bytes of character data "abc",two bytes of binary data containing the value 5,and three bytes of character data "999"are entered as "abc0005999".


Load Command

The Load command creates a record sequential file,relative file,or indexed file from a variable length,record sequential file.Using the EXTEND option,you can add records to any of these files using a variable length,record sequential file.

[How to Use the Load Command]

1.Specify the input file name.

Enter the name of the variable length,record sequential file that contains the input data.If no path is specified the current directory is used.

2.Specify the output file name.

Enter the name of the file to be created or an existing file to be extended.If no path is specified the current directory is used.

3.Select the organization of the output file.

Click one of the file organizations,SEQ,REL,or IXD.

4.Select the record format.

Select the record format,either FIXor VAR.You cannot select the record format when extending an indexed file.

5.Specify the record length of the output file.

You need to specify the record format and length correctly for the file utility to create or extend files accurately.For a file with variable record length,the maximum record length in the new or extended file must be specified.For a file with fixed record length,the record length of the new or extended file must be specified.You cannot select the record format when extending an indexed file.

6.When the file is extended,[EXTEND]is selected.

When extend the file,click [EXTEND]check box.

7.For a backup file:

When you select the [EXTEND]check box,you can create a backup file.If you want to create a backup file,select the [BACKUP]check box.The backup file is written to the same folder as the original file,with the extension BAK.The Load command updates the original file folder,so you are recommended to select BACKUP.

8.To create an indexed file,specify key information.

Click the keybutton to specify the record key of the indexed file.When extending an indexed file you cannot specify the key information.


KEY Information

To create an indexed file,you need to specify key information.The key information comprises:the offset of the key in the record,the length of the key,and whether or not duplicates are allowed.

The key information is specified in the following manner:

[Description form]

[D](POS,LEN [/POS,LEN]...)

Note)[]:It is possible to omit....:It is possible to repeat.

D:Specify when the key item overlaps with another.It is equivalent to "WITH DUPLICATES".

POS:Specify the relative position from the head of the record of key item.(the position is a number of the byte which starts from 0.)

LEN:Specify the length of the key item by the number of bytes.

/:When two or more items not consecutive are specified,delimits by "/".

[Specification method]

1.Specifying updating the primary record key

To create or update the primary key,enter the record key information in the Primary key text box.

2.Specifying alternate record keys

To create alternate record keys,enter the alternate record key information in the text box at the bottom of the dialog box and click the [Insert]button.

3.Updating alternate record keys

Alternate-key is renewed according to the following procedure.

-The key information selected in [List:]list box is displayed in [Alternate key:]edit box.

-Update the value of the key in [Alternate key :]edit box.

-Click [Update]button.

4.Movement of Alternate key

The Alternate key is moved according to the following procedure.

-The key information selected in [List:]list box is displayed in [Alternate key:]edit box.

-Click [Move]button.

-Specify moving ahead by a relative value from the head in [List:]list box.The head value in [List:]list box is 0.

5.Deletion of alternate key

The Alternate key is deleted according to the following procedure.

-The key information selected in [List:]list box is displayed in [Alternate key:]edit box.

-Click [Delete]button.

[Description example]

The method of setting the key of indexed file used by COBOL application is explained below.

000010 IDENTIFICATION DIVISION.

000020 PROGRAM-ID.SAGYOU.

000030 ENVIRONMENT DIVISION.

000040 INPUT-OUTPUT SECTION.

000050 FILE-CONTROL.

000060       SELECT IXDFILE ASSIGN TO FILENAME

000070              ORGANIZATION IS INDEXED

000080              ACCESS MODE  IS DYNAMIC

000090              RECORD KEY   IS SERIAL-NUMBER

000100              ALTERNATE RECORD KEY IS F-NAME M-NAME WITH DUPLICATES.

000110 DATA DIVISION.

000120 FILE SECTION.

000130 FD IXDFILE.

000140 01 IXDFILE-RECORD.

000150    05 SERIAL-NUMBER PIC 9(8).

000160    05 F-NAME   PIC X(10).

000170    05 FILLER   PIC X.

000180    05 M-NAME   PIC X(10).

-Describe (0,8)is [Primary key:]edit box.

-Describe D88,10/19,10)in [Alternate key:]edit box,and add to [List:]list box clicking [Add]button.


Unload Command

The Unload command creates a variable length,record sequential file from a record sequential file,relative file,or indexed file.

[How to Use the Unload Command]

1.Specify the input file name.

Enter the name of a record sequential file,relative file or indexed file.If no path is specified the current directory is used.

2.Select the file organization of the input file.

Click one of the file organizations,SEQ,REL,or IXD.

3.For SEQ and REL input files select the record format.

Click on one of the record formats,either FIXor VAR.You do not need to specify the record format for indexed files (IXD).

4.Specify a record length.

For input files with variable length records,the maximum record length must be specified.For input files with fixed length records,the record length must be specified.If the input file is an indexed file,you do not need to specify this parameter.

5.Specify the output filename.

Enter the name of the variable length,record sequential file to be created.If no path is specified the current directory is used.


Browse Command

The Browse command displays each record’s contents by character and hexadecimal expression.See Using Browse for descriptions of the functions available once Browse has been invoked.

[How to Use the Browse Command]

1.Specify the input file name.

Enter the name of the file to be displayed.If no path is specified the current directory is used.

2.Select the file organization of the input file.

Click one of the file organizations,SEQ,LSEQ,REL,or IXD.

3.For SEQ,LSEQ,or REL files,you must select the record format.

Click on one of the record formats,either FIXor VAR.You do not need to specify the record format for indexed files (IXD).

4.Specify the record length.

For input files with variable length records,the maximum record length must be specified.

For input files with fixed length records,the record length must be specified.If the input file is an indexed file,you do not need to specify this parameter.

5.Display the file record.

Click the OK button.

[Related Topics]

Using Browse


Print Command

The Print command prints record contents by character and hexadecimal expression.Non-alphanumeric characters (codes outside the range 0x20 to 0x7E)are printed as a period (*.*)in the character area.You can specify a range of records to be printed.

[How to Use the Print Command]

1.Specify the input file name.

Enter the name of the file to be printed.

If no path is specified the current directory is used.

2.Select the file organization of the input file.

Click one of the file organizations SEQ,LSEQ,REL,or IXD.

3.For SEQ,LSEQ,or REL files,you must select the record format.

Click on one of the record formats,either FIXor VAR.You do not need to specify the record format for indexed files (IXD).

4.Specify the record length.

For input files with variable length records,the maximum record length must be specified.

For input files with fixed length records,the record length must be specified.

If the input file is an indexed file,you do not need to specify this parameter.

5.Setup and select the print system.

Click the PRINTER button to set or confirm printer information.Click on OK or Cancel in the Print Setup dialog box to change or accept the printer defaults.

6.Confirm the file information entered.

Click on the OK button in the PRINT dialog box.

This brings up the PRINT RANGE dialog box.

7.Specify a PRINT RANGE.

a)INDEXED FILES

Click on the SELECT KEY button and select the appropriate key from the displayed list.

Enter the first and last key values to be printed in the First and Last key value text boxes.

Enter the number of records you want to be printed from the specified range in the Count number text box.

b) SEQUENTIAL AND RELATIVE FILES

Enter the numbers of the first and last records to be printed in the First and Last record number text boxes.

Enter the number of records you want to be printed from the specified range in the Count number text box.

8.Print.

After you have entered any PRINT RANGE parameters click the OK button.

[Related Topics]

Setting of printer


Edit Command

The Edit command lets you browse,update,insert,and delete records.See Using Editfor descriptions of the functions available once Edit has been invoked.

[How to Use the Print Command]

1.Specify an input file name.

Enter the name of the file to be edited.If no path is specified the current directory is used.

2.Select the file organization of the input file.

Click one of the file organizations SEQ,LSEQ,REL,or IXD.

3.For SEQ,LSEQ,or REL files,you must select the record format.

Click on one of the record formats,either FIXor VAR.You do not need to specify the record format for indexed files (IXD).

4.Specify the record length.

You need to specify the record format and length correctly for the record editor to display and update files accurately.For input files with variable length records,the maximum record length must be specified.For input files with fixed length records,the record length must be specified.If the input file is an indexed file,you do not need to specify this parameter.

5.Select the backup option.

You can create a backup of the file before you edit it.If you want to create a backup file,select the BACKUP check box.The backup file is written to the same directory as the original file,with the extension BAK.The Edit command updates the original file directly,so you are recommended to select

6.Invoke the record editor.

After all options are specified,click the OK button.


Extend Command

The Extend command lets you add records to an existing file.See Using Extendfor descriptions of the functions available once Extend has been invoked

[How to Use the Extend Command]

1.Specify an input file name.

Enter the name of the file to be extended.If no path is specified the current directory is used.

2.Select the file organization of the input file.

Click one of the file organizations SEQ,LSEQ,REL,or IXD.

3.For SEQ,LSEQ,or REL files,you must select the record format.

Click on one of the record formats,either FIXor VAR.You do not need to specify the record format for indexed files (IXD).

4.Specify the record length.

You need to specify the record format and length correctly for the file utility to update files accurately.For input files with variable length records,the maximum record length must be specified.For input files with fixed length records,the record length must be specified.If the input file is an indexed file,you do not need to specify this parameter.

5.Select the backup option.

You can create a backup of the file before it is extended.If you want to create a backup file,select the BACKUP check box.The backup file is written to the same directory as the original file,with the extension BAK.The Extend command updates the original file directly,so you are recommended to select.

6.Invoke the extend function.

After all options are specified,click the [OK]button.


Sort Command

The Sort command sorts the records of a record sequential,line sequential,relative,or indexed file by specified data items,and creates a new variable length,record sequential file.

[How to Use the Extend Command]

1.Specify an input file name.

Enter the name of the file to be sorted.If no path is specified the current directory is used.

2.Select the file organization of the input file.

Click one of the file organizations SEQ,LSEQ,REL,or IXD.

3.For SEQ,LSEQ,or REL files,you must select the record format.

Click on one of the record formats,either FIXor VAR.You do not need to specify the record format for indexed files (IXD).

4.Specify the record length.

You need to specify the record format and length correctly for the file utility to sort files accurately.For input files with variable length records,the maximum record length must be specified.For input files with fixed length records,the record length must be specified.If the input file is an indexed file,you do not need to specify this parameter.

5.Select sort conditions.

Specify sort conditions in the Sort Key Informationdialog box,by clicking the SORT KEY button.

6.Specify an output file name.

Enter the name of the file to contain the sorted data.If no path is specified the current directory is used.

7.Start the sort.

Click on the OK button.


Attribute Command

The Attribute command displays indexed file attribute information (such as record length,record format,and key information).

[How to Use the Attribute Command]

1.Specify indexed file name.

Enter the file name of the indexed file whose attribute information is to be displayed.If no path is specified the current directory is used


Recovery Command

The indexed file which was not able to be accessed is restored.And the data which cannot be restored is output to [Unrecoverable data store file]by binary form.Recovery command rewrites the file before restoring.When leave the file before restoring,copy the file before the command is executed.

[How to Use the Attribute Command]

1.Specify the restored indexed file.

Specify the path name of the restored indexed file.

2.Specify the file which cannot be recover.

Specify the path of the file to store the data which cannot be restored.If the data which cannot be recovered does not exist,the file which is stored unrecoverable data will not be made.


Reorganize

The Reorganize command deletes unused blocks of an indexed file and makes the file smaller.When unused blocks of indexed files are deleted,file access performance may be improved.

[How to Use the Reorganize Command]

1.Specify the input file name.

Enter the name of the indexed file to be reorganized.If no path is specified the current directory is used.

2.Specify the output file name.

Enter the name to be used for the reorganized indexed file.If no path is specified the current directory is used.


Copy Command

The Copy command copies files.

[How to Use the Copy Command]

1.Specify the source file path name.

Specify the name of the source file to be copied.Wild cards can be used.If no path is specified the current directory is used.

2.Specify the copy file path name.

Specify the location where the file should be copied.Wild cards "*"can be used.If no path is specified the current directory is used.


Delete Command

The Delete command deletes files.

[How to Use the Copy Command]

1.Specify delete file path name.

Enter the name of the file to be deleted.Wild cards "*"can be used.If no path is specified the current directory is used.


Move Command

The Move command moves files.

[How to Use the Copy Command]

1.Specify the source file path name.

Specify the name of the source file to be moved.Wild cards can be used.If no path is specified the current directory is used.

2.Specify the new file path name.

Specify the location where the file should be moved.Wild cards can be used.If no path is specified the current directory is used.


Using Browse

The browse function displays each record’s contents by character and hexadecimal expression.Non-alphanumeric characters (codes outside the range 0x20 to 0x7E)are displayed as a period (‘.’)in the character display.Navigation functions are available from the menu bar and on push buttons.

1.Menu Bar

Exit

Terminates the browse function.

Browse

Provides functions to navigate around the file.

Options

Provides options to specify the input mode of the window and the font.

2.Push Buttons

KEY

SEARCH

FIRST

PREV

NEXT

LAST


Using Edit

The edit function displays each record’s contents by character and hexadecimal expression.Non-alphanumeric characters (characters outside the range 0x20 to 0x7E)are displayed as a period ('.').Edit gives access to editing and navigation functions from the menu bar and push buttons.

1.Menu Bar

Exit

Terminates the Edit command.

Browse

Provides functions to navigate around the file.

Edit

Provides functions for editing records.

Options

Provides options to specify the input mode of the window and the font.

2.Push Buttons

KEY

SEARCH

FIRST

PREV

NEXT

LAST

UPDATE

INSERT

DELETE

LENGTH


Using Extend

1.Menu Bar

Exit

Terminates the Extend command.

Browse

Provides the option to change the indexed file key.

Edit

Provides the add and change length functions.

Options

Provides options to specify the input mode of the window and the font.

2.Push Buttons

KEY

ADD

LENGTH


Exit Menu

When the command is ended,specify this menu.


Browse Menu

The browse menu offers the following functions for moving around the file.

Select key number

Search record

Positioning first

Previous record

Next record

Positioning last


Edit Menu

The edit menu offers the following functions for editing records.

Update

Insert

Delete

Change length


Browse Menu (Extend Command)

Click the Select key numberto browse the key items.


Edit Menu (Extend command)

Select one of the following functions:

Add

Change length


Options Menu

The options menu lets you change the input mode and select the font for the data display.

Hexadecimal mode

Character mode

Select font


Select Key

This function lets you choose which index key is used for navigating the file.Select the key to be used from the list displayed in the dialog box.The selected key fields are displayed in red within the data display.

You can only select keys for indexed files.


Select Key (Extend command)

Select the key to be used from the list displayed in the dialog box.The selected key fields are displayed in red within the data display.

You can only select keys for indexed files.


Search

Search locates a record by using either a relative record number or an indexed key value.

For relative files,select Search,enter the relative record number in the dialog box,and click on the OK button.

For indexed files,enter the key value in the red key field in the data display,then select Search.

If a matching record is found it is displayed,otherwise a message is displayed.

You can only use Search with relative and indexed files.


First

Displays the logical first record in the file.

If the file is a relative file,the record with the minimum relative record number is displayed.

If the file is an indexed file,the record with the minimum record key value is displayed.

First is available for all file formats.


Previous

Displays the logical previous record of the currently displayed record.

You can only use Previous with relative and indexed files.


Next

Displays the logical next record of the currently displayed record.

Next is available for all file formats.


Last

Displays the logical last record in the file.

If the file is a relative file,the record with the maximum relative record number is displayed.

If the file is an indexed file,the record with the maximum record key value is displayed.

You can only use Last with relative and indexed files.


Update

Writes to file changes that have been applied to the displayed record.

Update is available for sequential,relative and indexed files.

For sequential files it is possible that only the first update to a record will be written.If you want to apply another update to a sequential file record,display the record again.


Insert

Inserts the displayed and updated record to file.

If the file is a relative file,a dialog box is displayed asking you to specify the relative record number for the insertion.

If the file is an indexed file,the updated key value in the display is used.

You can only use Insert with relative and indexed files.


Delete

Deletes the displayed record.

You can only use Delete with relative and indexed files.


Change Length

Changes the length of a displayed or updated record.

The record length is specified in a dialog box and must be less than or equal to the maximum record length defined for that file.

A change to the record length is treated like an update to the data.To make it permanent you need to Update,or Insert the record.

You can only use Length with relative and indexed files.


Change Length (Extend command)

For variable length files Change Length lets you specify the length of the record to be added to the file.The length must be less than or equal to the maximum record length defined for the file being extended.


Add

Add writes the record displayed in the window to file.

Note:There is no confirmation of the write,so only click the button,or select the function,once,otherwise multiple copies of the same record may be written to the file.


Hexadecimal Mode

Hexadecimal mode lets you input data with hexadecimal values at the cursor position.


Character mode

Character mode lets you input data with characters at the cursor position.The cursor is still in the hexadecimal part of the display but any key you press is translated to its ASCII hexadecimal value.


Select Font

Displays the Font Select dialog box that lets you choose the font to be used in the data display.


Setting of printer

The printer is set with dialog box.The method of setting printer is similar to the method of the system.


Print Range

Specify the range and number of records to be printed.

If neither range nor count is specified,all records in the file are printed.

The range of records for record sequential and line sequential files is specified using the records’ordinal position in the file.

The range of records for relative files is specified using relative record numbers.

The range of records for indexed files is specified using key values.


Sort Key Information

The Sort Key Information dialog box lets you specify the key information to be used in the sort.

You need to enter the following parameters to define each key:

Sort key type:	This is the COBOL data description of the key field.

Sort key offset:	This is the offset of the field within the record.The first byte in a record has offset 0.

Sort key length:	This is the length,in bytes,of the field.

Order:	This specifies whether the sort on this key should be ordered in ascending or descending order.

Multiple keys can be specified.The data is first sorted on the first key.Then any records with matching first key values are sorted on the second key.Then any records with matching first and second key values are sorted on the third key,and so on until all keys have been used.

[How to Use the Sort Key Information Dialog Box]

1.Specifying a sort key

To create a sort key:

-Select or enter the key type,offset,length and order.

-Click the Insert button.The key information is entered in the sort key conditions list box.

2.Updating a sort key

To update a sort key:

-Select the key to be updated in the sort key conditions list box.The displayed sort key information matches the selected key.

-Update the sort key information.

-Click the UPDATE button.

3.Deleting a sort key

To delete a sort key,select the key to be deleted in the sort key conditions list box and click the DELETE button.

4.Moving a sort key

To move a sort key in the sort key conditions list box:

-Select the key to be moved in the sort key conditions list box.The displayed sort key information matches the selected key.

-Click the MOVE button.

-Specify the new position in the sort key conditions list box.The position starts from 0.

5.Confirming changes or data entered.


SEQ

Organization is record sequential.

Records are accessed in the order they are written.


LSEQ

Organization is line sequential.

Line sequential I/O allows you to access text file records.Text files are created by system editors like Notepad.Records have trailing spaces removed and each record is terminated with a carriage return,line feed sequence ("0D","0A"bytes).Records are accessed in the order they are written.


REL

Organization is relative.

Relative I/O allows you to access records in either a random or sequential manner.Each record is identified by an integer value greater than zero that specifies the record’s ordinal position in the file.Records can be accessed sequentially in the order of their relative record numbers,or randomly by specifying the desired relative record number.


IXD

Organization is indexed.

Indexed I/O allows you to access records in either a random or sequential manner.Each record is identified by the value of one or more keys within that record.The keys provide a logical path to the data records and a logical ordering of the records.Records can be accessed sequentially in key value order,or randomly by specifying the desired key values.Several logical orderings can be specified for a single indexed file by using alternate keys.


VAR

Records are of variable lengths.


FIX

Records are of fixed length.